#!/bin/bash

#Use the code in the following steps
#1) Download the dataset following README file and store it in $./data$ folder
#2) Specify the approximation methods in main.py file. If we run the current main.py, Uniform sampling, f-SVGD, and VAR(h) is carried out.
#3) Specify the output directory and run this code

for name in "mushroom" "statlog" "covertype" "financial" 
do
for kk in {1334..1343}
do
python main.py -bandit=$name -seed=$kk -logdir=DIR/data+$name+$kk
done
done